<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classorbit_1_1_orbit.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">orbit.Orbit Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#ad47ef9d9b2af884e01385b7285b9499c">__init__</a>(self, str database, float sampling_rate, tuple epoch, float a, float i, float e, float argpo, float RAAN, outputs, float mean_anomaly=0.0, bool deg=True)</td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#a09e490a4511400f7f6775955e46e129c">database</a></td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#a5813dcc79001a50a2abc7139f5b2234d">dict_orbit</a></td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#a92342e66feded39d21d9da4ac6227d16">output</a>(self, sim_time, bool commit=True)</td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#a13a033c058b1c6937d44ade2c9e311f0">propagate_orbit</a>(self, float max_time)</td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#a17b8318de189b9488317581eb26a8a87">run</a>(self)</td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#aea02cef639dae5e74400fe0e919e2d4e">sampling_rate</a></td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classorbit_1_1_orbit.html#aa5daa8bdcaac588994396d4903b5e814">sim_time_offset</a></td><td class="entry"><a class="el" href="classorbit_1_1_orbit.html">orbit.Orbit</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
